DENMPDUCodec Class Reference

`#include <DENMCodec.hh>`

Inheritance diagram for DENMPDUCodec:

## Public Member Functions

| DENMPDUCodec ()
virtual int | encode (const DENM__PDU__Descriptions::DENM &denm, BITSTRING &data)
| Encode TITAN message into ASN.1 PER message. More...
virtual int | decode (const BITSTRING &data, DENM__PDU__Descriptions::DENM &)
| Decode ASN.1 PER message into TITAN message. More...

## Additional Inherited Members

Protected Member Functions inherited from per_code< DENM__PDU__Descriptions::DENM >
int | _decode (const TTCN_Typedescriptor_t &ttcn, const asn_TYPE_descriptor_s &td, const BITSTRING &p_data, DENM__PDU__Descriptions::DENM &msg)
int | _encode (const TTCN_Typedescriptor_t &ttcn, const asn_TYPE_descriptor_s &td, const DENM__PDU__Descriptions::DENM &msg, BITSTRING &p_data)
Protected Member Functions inherited from asn1_recode_per
int | ber2per (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | per2ber (const asn_TYPE_descriptor_s &td, TTCN_Buffer &buf)
int | recode (const asn_TYPE_descriptor_s &td, int from, int to, TTCN_Buffer &buf)

## Constructor & Destructor Documentation

## DENMPDUCodec()

DENMPDUCodec::DENMPDUCodec | ( |  | ) |

inlineexplicit

## Member Function Documentation

## decode()

int DENMPDUCodec::decode | ( | const BITSTRING & | p_bitstring,
|  | DENM__PDU__Descriptions::DENM & | p_message
| ) |  |

virtual

Decode ASN.1 PER message into TITAN message.

Parameters

  [in] | p_bitstring | The network message in bit string format to decode
  [out] | p_message | The PDU message

Implements per_code< DENM__PDU__Descriptions::DENM >.

## encode()

int DENMPDUCodec::encode | ( | const DENM__PDU__Descriptions::DENM & | p_message,
|  | BITSTRING & | p_bitstring
| ) |  |

virtual

Encode TITAN message into ASN.1 PER message.

Parameters

  [in] | p_message | The PDU message to encode
  [out] | p_bitstring | The encoded PDU message in bit string format

Implements per_code< DENM__PDU__Descriptions::DENM >.

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/DENMCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/DENMCodec.cc